package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.OmsPreItem;
import com.hwrj.cloud.portal.model.OmsPreItemExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OmsPreItemMapper {
    long countByExample(OmsPreItemExample example);

    int deleteByExample(OmsPreItemExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OmsPreItem record);

    int insertSelective(OmsPreItem record);

    List<OmsPreItem> selectByExample(OmsPreItemExample example);

    OmsPreItem selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OmsPreItem record, @Param("example") OmsPreItemExample example);

    int updateByExample(@Param("record") OmsPreItem record, @Param("example") OmsPreItemExample example);

    int updateByPrimaryKeySelective(OmsPreItem record);

    int updateByPrimaryKey(OmsPreItem record);
}